<%@ page contentType="text/html;charset=GBK"%>
<%@ page import="java.util.*"%>

<%@ page import = "zr.zrpower.common.util.SysPreperty"%>
<%@ page import = "zr.zrpower.analyseengine.service.StatisticsControl"%>
<%@ page import = "zr.zrpower.analyseengine.mode.ANALYSE_STATISTICS_MAIN"%>

<%@ page import = "zr.zrpower.ejb.sys.UIService"%>
<%@ page import = "zr.zrpower.entity.sys.SessionUser"%>
<%
        response.setContentType("text/html; charset=GBK");
        request.setCharacterEncoding("GBK");

        SessionUser user = (SessionUser)session.getAttribute("userinfo");
        UIService userUI =new UIService();
        StatisticsControl StatisticsControl = new StatisticsControl();

        //统计方案配置ID
        String strID = request.getParameter("ID");
        String UNITID = request.getParameter("UNITID");
        if (UNITID == null){
            UNITID ="";
        }
        String TIER = request.getParameter("TIER");
        if (TIER == null){
            TIER ="";
        }
        String LINK = request.getParameter("LINK");
        if (LINK == null){
            LINK ="";
        }
        String P1 = request.getParameter("P1");
        if (P1 == null) {
            P1 ="";
        }
        String P2 = request.getParameter("P2");
        if (P2 == null) {
            P1 ="";
        }
        String P3 = request.getParameter("P3");
        if (P3 == null) {
            P3 ="";
        }
        String P4 = request.getParameter("P4");
        if (P4 == null) {
            P4 ="";
        }
        String P5 = request.getParameter("P5");
        if (P5 == null) {
            P5 ="";
        }
        //得到要查询的详细记录的组成条件(sql)
        String strWHRRE = StatisticsControl.getLinkWhere(strID,UNITID,TIER,P1,P2,P3,P4,P5,user);

%>
<HTML>
<HEAD>
<TITLE></TITLE>
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<link REL="stylesheet" type="text/css" href="../../zrsysmanage/css/<%=user.getUserCSS()%>">
<SCRIPT LANGUAGE="JavaScript" src="../../zrsysmanage/script/Public.js"></SCRIPT>
</HEAD>
<BODY class="BodyMain">
<FORM method="post" name="RegForm" action="../../<%=LINK%>">
<input type="hidden" name="QWHERE" value="<%=strWHRRE%>">
</FORM>
</BODY>
</HTML>
<script language="javascript">
        setTimeout("show();",100);
        function show(){
          document.RegForm.submit();
       }
</script>
<%
//清空相关对象
user = null;
userUI = null;
StatisticsControl = null;
%>
